/v1/api/ssoIntegrations/{id} (PUT) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Update the configuration of an existing SSO integration.

Request: PUT https://api-<BlueCat.edge.url>/v1/api/ssoIntegrations/{id}
Authorization: Bearer authentication token
Content-Type: application/JSON
{
  "name": "<connection_name>",
  "type": "SAML",
  "description": "<description>",
  "signInUrl": "<sign_in_endpoint>",
  "signingCertificate": "<idp_signing_certificate_x509>",
  "certificateFilename": "<cert_name>.pem",
  "requestSigningCertificateId": null,
  "userIdAttribute": "<user_id_attribute_in_saml>",
  "protocolBinding": "<HTTP-Redirect | HTTP-POST>",
  "active": true | false
}
Body parameters
  • name—the name of the SSO integration
  • type—the assertion type
  • description—the description of the SSO integration
  • signInUrl—the SAML SSO URL that you obtained from your IdP. The signInUrl must be an HTTPS endpoint.
  • signingCertificate—the IdP public certificate. This must be base64 encoded in full, including the -----BEGIN CERTIFICATE----- and -----END CERTIFICATE----- fields.
  • certificateFilename—the name of the IdP public certificate that was added in the signingCertificate field.
  • requestSigningCertificateId(Optional) If you are using an Auth0 SAML signing certificate, enter the ID of the Auth0 certificate that you uploaded to the BlueCat secrets manager. For more information, refer to Secrets manager.
    Attention: If you are configuring a custom Auth0 SAML signing certificate, you must also upload the Auth0 SAML signing certificate to your IdP to ensure that the verification certificate on the IdP matches the certificate that is used by BlueCat Edge.
  • userIdAttribute(Optional) The attribute in the SAML token that uniquely identifies a user. If this value isn't set, the user_id will be retrieved from the following in the order listed:
    • http://schemas.xmlsoap.org/ws/2005/05/identity/claims/nameidentifier or nameidentifier
    • http://schemas.xmlsoap.org/ws/2005/05/identity/claims/upn or upn
    • http://schemas.xmlsoap.org/ws/2005/05/identity/claims/name or name
    Note: BlueCat Edge accepts the URL or friendly name of the unique identifier.
  • protocolBinding—the protocol used by BlueCat Edge to send the SAML authentication request to your IdP. You can enter HTTP-Redirect or HTTP-POST.

Successful response

204 NO CONTENT
Possible error codes:
  • BAD REQUEST - Incorrectly formatted request or when the user tries to create a second SAML integration
  • UNAUTHORIZED - Invalid access token
  • NOT FOUND - SSO integration ID wasn't found
  • INTERNAL SERVER ERROR - Unexpected error